Bug 74056 - Kernel documentation ignores packaging system.
Kernel documentation ignores packaging system.
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: kernel (Show other bugs)
null
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-13 20:24 EDT by Mike MacCana
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-14 09:20:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike MacCana 2002-09-13 20:24:54 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux) 
 
Description of problem: 
The readme in the Linux kernel source does not tell users how to build a 
packaged kernel.  Likewise, the make menuconfig tool also recommends that 
users run `make dep' themselves after creating their config file rather than 
`make rpm' (which would run `make dep' itself).  
 
By installing unpackaged applications, users install files to their hard disk 
which cannot be properly uninstalled, verified, queried, or upgraded using 
standard LSB mechanisms. As many other applications rely on having a specific 
version of the kernel installed, they must either be force installed, which 
further breaks the system.   
 
It is true that many other apps author documentation is also unaware of rpm. 
However, that does not mean this is not a problem, and fixing the kernel 
documentation is a good place to start, as this is one of the most frequently 
rebuilt sources on a Linux system, and would thus go a long way towards 
promoting proper system administration proceedures. 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1.Install kernel-source 
2a.Read /usr/src/linux(version)/README 
2b) Run make menuconfig and notice the message on stdout. 
2c) The various other config targets may also exhibit similar behavior.	 
 
Expected Results:  The kernel documentation should contain instructions for 
building standard Linux packages of the kernel. 
 
make menuconfig, and any other config tool, should tell the users to then 
`make rpm' as their next step. 
 
Additional info:
Comment 1 Alan Cox 2002-09-14 09:20:21 EDT
We package the Linux kernel documentation as is. The kernel-source package is
meant for code that needs our kernel source tree to build against, not for
rebuilding the kernel

Rebuilding the kernel is done like every other package (rpm --install
something.src.rpm; rpmbuild -ba SPECS/something.spec)

Comment 2 Mike MacCana 2003-10-31 00:55:44 EST
Thanks for your response Alan. This differs from Red Hat's Customization guide,
which suggests users use the kernel-source package for building custom kernels. 

http://www.redhat.com/docs/manuals/linux/RHL-9-Manual/custom-guide/ch-custom-kernel.html

Two things:
* Should the Customization guide be modifed to reflect the method suggested by
Alan above?
* If the method used in the customization guide is indeed correct, can the
kernel suggest users create a packaged kernel rather than an unpackaged one?
* Can this be reopened?

Thanks,

Mike


Note You need to log in before you can comment on or make changes to this bug.